diff -pruN 3.5.1-1/debian/changelog 3.5.1-2/debian/changelog
--- 3.5.1-1/debian/changelog	2023-06-22 21:37:36.000000000 +0000
+++ 3.5.1-2/debian/changelog	2024-04-14 18:16:32.000000000 +0000
@@ -1,3 +1,15 @@
+gfs2-utils (3.5.1-2) unstable; urgency=medium
+
+  [ Chris Hofstaedtler ]
+  * debian/control: Delegate placement of udev files to pkg-config data
+    (Closes: #1057753)
+
+  [ Valentin Vidic ]
+  * debian/control: replace pkg-config depends with pkgconf
+  * debian/control: update Standards-Version to 4.7.0
+
+ -- Valentin Vidic <vvidic@debian.org>  Sun, 14 Apr 2024 20:16:32 +0200
+
 gfs2-utils (3.5.1-1) unstable; urgency=medium
 
   * New upstream version 3.5.1
diff -pruN 3.5.1-1/debian/control 3.5.1-2/debian/control
--- 3.5.1-1/debian/control	2023-02-11 14:04:22.000000000 +0000
+++ 3.5.1-2/debian/control	2024-04-14 18:16:17.000000000 +0000
@@ -15,9 +15,10 @@ Build-Depends:
  libbz2-dev,
  libncurses-dev,
  libtool,
- pkg-config,
+ pkgconf,
+ systemd-dev,
  zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://pagure.io/gfs2-utils
 Vcs-Browser: https://salsa.debian.org/ha-team/gfs2-utils
diff -pruN 3.5.1-1/debian/rules 3.5.1-2/debian/rules
--- 3.5.1-1/debian/rules	2022-11-20 13:28:09.000000000 +0000
+++ 3.5.1-2/debian/rules	2024-04-14 18:15:57.000000000 +0000
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 
+udevdir = $(shell pkg-config --variable=udevdir udev)
+
 # build fails when format hardening is on
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
@@ -12,8 +14,8 @@ override_dh_auto_configure:
 		bzip2_CFLAGS=' ' \
 		bzip2_LIBS=-lbz2 \
 		bzip2_VERSION=' ' \
-		--libexecdir=/lib/udev \
-		--with-udevdir=/lib/udev
+		--libexecdir=$(udevdir) \
+		--with-udevdir=$(udevdir)
 
 override_dh_auto_install:
 	dh_auto_install
